Subject: Re: linux-next: build failure after merge of the v4l-dvb-next tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Wed, 3 Jun 2020 10:13:03 +0200

Em Wed, 3 Jun 2020 12:46:46 +1000
Hi Stephen,

Stephen Rothwell <[email-masked]> escreveu:

> Hi all,
> 
> After merging the v4l-dvb-next tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/staging/media/atomisp/pci/atomisp_compat_css20.c: In function 'atomisp_css_isr_thread':
> drivers/staging/media/atomisp/pci/atomisp_compat_css20.c:4196:9: error: 'atomisp_hw_is_isp2401' undeclared (first use in this function)
>  4196 |    if (!atomisp_hw_is_isp2401)
>       |         ^~~~~~~~~~~~~~~~~~~~~
> drivers/staging/media/atomisp/pci/atomisp_compat_css20.c:4196:9: note: each undeclared identifier is reported only once for each function it appears in
> 
> Caused by commit
> 
>   be1fdab273a9 ("media: atomisp: change the detection of ISP2401 at runtime")
> 
> interacting with commit
> 
>   7ef17aa55fc3 ("media: atomisp: atomisp_compat_css20.c: detect ISP at runtime")
> 
> I have used the version of the v4l-dvb-next tree from next-20200602
> for today.

Sorry for that. 

The v4l-dvb-next currently contains some atomisp patches that are
waiting for review at linux-media, while v4l-dvb contains the patches
already reviewed, ready for merging.

The PR for v4l-dvb was submitted today.

I forgot to rebase v4l-dvb-next when some of the patches there 
were moved to v4l-dvb. Hopefully, it will be OK on tomorrow's 
linux-next, as I did the needed rebase.

Thanks,
Mauro